Bug 112682 - (gtk-xemacs) gtk xemacs tracking bug
gtk xemacs tracking bug
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: xemacs (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-27 21:21 EST by Jens Petersen
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-19 13:22:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2003-12-27 21:21:16 EST
Description of problem:
This bug is for tracking the potential transition to
using the gtk+ toolkit for xemacs (instead of Xaw3d).

Version-Release number of selected component (if applicable):
21.4.14
Comment 1 Jens Petersen 2003-12-27 22:00:13 EST
When xemacs is built "--with gtk":

0) The gutter seems not to work - it is just a void space

1) XIM gets disabled

2) Widget buttons do not have labels displayed on them (eg customize)
Comment 2 Jens Petersen 2004-01-05 02:28:30 EST
http://members.optushome.com.au/purvi/xemacs/gtk/index.html

contains some gtk xemacs patches.
Comment 3 Jens Petersen 2004-01-15 18:00:52 EST
Also this:

http://folks.astrian.net/godzilla/gtk-bugs.html
Comment 4 Jens Petersen 2004-12-13 09:28:06 EST
(0) and (2) in comment 1 seem to be fixed in 21.4.16. :)
As quite a few of the bugs in comment 2 also I believe.

A more minor think I noticed now is new modelines tend to have some
unwanted pixels on the lower side: they can be cleaned away with C-l.
Comment 5 Jens Petersen 2004-12-13 10:48:26 EST
Also seems gtk support requires dl module support which is currently
disabled on ia64 (bug 123126).
Comment 6 Christian Iseli 2007-01-19 02:19:58 EST
This bug hasn't been updated in a long time and targets FE devel.
Could you please check that it still occurs with current FE devel and update
accordingly ?

Thanks.
Comment 7 Ville Skyttä 2007-01-19 13:22:11 EST
Not much has happened with the GTK port upstream, and I think a GTK 1.x port
would no longer be really desirable in the first place, and there are no GTK 2.x
efforts as far as I can tell.  Closing as upstream, will open a new tracker in
the future in case something new pops up.

Note You need to log in before you can comment on or make changes to this bug.